Page MenuHomeMiraheze

Request for New Extensions for calexitwiki
Closed, InvalidPublic

Event Timeline

Please add DeleteBatch. Nuke/Mass delete isn't showing citation and other template pages I imported from commons which didn't work for VE.

DeleteBatch is declined. We limit deletion size to reduce load on the servers.

MacFan4000 mentioned this in Unknown Object (Diffusion Commit).Dec 16 2016, 14:37
John mentioned this in Unknown Object (Diffusion Commit).Dec 16 2016, 21:03

OK, I have to ask, what are you planning to use Extension:RelatedSites for? I can give it a security pass because it's used on a WMF wiki (wikivoyage). But it's only used on the wikivoyage wikis -- and it looks like the plan is to remove it: https://phabricator.wikimedia.org/T128326

So while it's OK now, I just don't know if we want to get in the situation where your wiki is the only customer for this extension. It would pass the maintenance burden on to Miraheze. So I guess the question is: What are you trying to achieve with it? So maybe we could come up with an alternate way you can get there? If not, I guess an install is OK.

Very surprised by the discussion you linked to as a look at the extension's page doesn't convey that at all! The only site I was thinking of using that extension with was Wikipedia. My intent was to avoid repeating "For background information see Wikipedia's article XYZ at http..." in many articles. I also wanted to encourage wiki editors to avoid duplicating Wikipedia's content overall.

@Calnation, you never actually told me what to do on RelatedSites. You can do something similar with a template, of course, and include it in relevant pages. Or we can go ahead with this extension, I guess.

Also don't be surprised by the the extension pages because they can be years out of date for what the extension actually does.

Drop RelatedSites for now as it's just holding things down. Also, Extension:CreateArticle might not be necessary if PageForms is as powerful as it seems (i.e. implementing that first plz).

Would you consider Extension:RelatedArticles as a replacement from Extension:RelatedSites? We already have it installed, and you can use interwiki links in there.

Plz see updated task text above. Extension:RelatedArticles should be fine. I might bring up Extension:RelatedSites in case it becomes properly maintained again.

Extension:Duplicator is approved for install. No security issues here, largely uses existing Mediawiki APIs.

@Calnation, depending on your use case, do you want to consider Extension:MultiBoilerplate which is already installed? Just a comment.

@labster I have never used MultiBoilerplate. Does it allow duplication of any existing article like Duplicator does?

Let me add that for Duplicator I'm not looking to use it for cases where an article pattern is very recurring that it's better handled with a templating of some sort. It's more for simpler cases when a type of article is so similar to an existing one that duplicating and editing from there is the shortest route.

For templating I'm counting on PageForms extension. Pretty powerful.

Since Duplicator passed the security review, can someone please install it? Thanks.

@labster A way that can help u speed reviews is to use code climate. You can do it for free for open source. I did it for the moderation extension here.

@Calnation Unfortunately that Code Climate tool makes me feel somewhat dumber than before I looked. Complaints about MW API complexity (yeah I know), complaints about calling constructors as static methods (how are we supposed to avoid that?), complaints about code style in extensions (oh I am so aware of this problem already).

Extension:CreateRedirect is approved for install, no security issues found. It feels a bit like changing a lightbulb by rotating the house, but nothing harmful or over-wasteful of CPU. Just uh, be careful about redirecting to categories, there's a bug here because of this. Workaround is to use the colon, Luke.

Created an upstream task on Extension:CreateRedirect: T157770. If anyone wants to fix this, this is a very easy task.

@labster not sure what you mean by the changing a lightbulb by rotating the house analogy, just curious.

Btw, haven't heard anything from you regarding Page Forms (almost 2 months now). I'd be surprised if you manage to find issues with Yaron's work.

The analogy actually came from this: http://shadow.cat/blog/matt-s-trout/war-stories-open-sesame/

That's my company he's talking about, # 1. The analogy is what one of his friends said on reading the blog post above; he retold me in person I think. The idea being that you can either rotate the lightbulb into the socket, or you can rotate the socket (which may be attached to a house).

In terms of this particular piece of software, it creates an Article object, then creates another request object internally and fills it with parameters, then executes that request. Rather than doing a page edit on the Article object it created at the beginning.

Also I probably would have reviewed Page Forms 2 months ago, except I had to spend all of my time getting LP banned. Just FYI.

OK, the word on Extension:PageForms is that I don't have time to do a standard review of it. I'm thinking both Extension:PageForms and Extension:Cargo are in the 10kLOC range, which means that they're reasonably mature products. And a random look at some files shows that yes, Yaron Koren writes some good PHP; a full readthrough isn't necessary like most crappy extensions. So I'm going to say security approved on that basis for both Cargo and PageForms.

(As a counter-example of a large extension I wasn't going to approve, look to DPL (third-party) which is a mature product in the same sense as wine with a hint of vinegar.)

That said, I have no idea about resource requirements for either extension, other than to note that it's a piece split off from Semantic Wiki. So I can't really offer guidance here to the sysadmin team as to whether installing it is within our capabilities.

Reception123 mentioned this in Unknown Object (Diffusion Commit).Feb 11 2017, 11:22

Duplicator installed and enabled.

Reception123 mentioned this in Unknown Object (Diffusion Commit).Feb 11 2017, 11:28

If I'm not mistaken Extension:PageForms can be installed without Extension:Cargo as well though I think that would limit some of it's functions.

@Reception123 Thanks for Duplicator. I'd love to see Extension:CreateRedirect and PageForms soon since we got the green light on those as well.

@labster What did you think of Extension:Moderation in terms of functionality? I requested it cuz when I looked at FlaggedRevs, it just seemed a bit tortuous.

@labster Its not clear if CreateRedirect is approved or if its dependent on the upstream task filed.

@Calnation I haven't reviewed E:Moderation so I can't testify to functionality, but FlaggedRevs is already installed so it would just be a matter of configuration.

@Reception123 The upstream ticket is not a blocker.

Reception123 mentioned this in Unknown Object (Diffusion Commit).Feb 11 2017, 18:44

CreateRedirect installed and enabled.

Reception123 mentioned this in Unknown Object (Diffusion Commit).Feb 11 2017, 20:16

Can I get an estimate on when PageForms will be installed since it passed security review?

C3OQeIKW8AAJxCx.jpg:large.jpeg (421×563 px, 27 KB)

Can she at least get a time estimate?

@Reception123 / @ImBoPhil as the people who have access to do these sort of requests.

@John ". It was originally created as an offshoot of the Semantic MediaWiki extension, " I'm not sure because of this

PageForms installed and enabled.

Reception123 mentioned this in Unknown Object (Diffusion Commit).Feb 18 2017, 07:57

Following the issues faced with T1457 and also that extload is currently not up, any updates on this? Was there an issue related to the extension itself?

In case you want to look at it or submit a bug, this is PageForms issues page .

@Calnation I was working on figuring out PageForms right now. @labster is probably busy so he did not have time to look at the others